version: 2
accept_configuration:
  condition: property
  property: features
  not_contains_value: Disable

instructions:
  Build:
    - type: EnvironmentVariable
      variableName: VERIFY_SOURCE_SBOM
      variableValue: "ON"
    - type: Group
      instructions:
        - !include "{{qt/qtbase}}/coin_module_build_template_v2.yaml"
      disable_if:
        condition: property
        property: configureArgs
        contains_value: "-no-opengl"
  Test:
    - type: Group
      instructions:
        - !include "{{qt/qtbase}}/coin_module_test_template_v3.yaml"
        - !include "{{qt/qtbase}}/coin_module_test_docs.yaml"
      disable_if:
        condition: or
        conditions:
          - condition: property
            property: configureArgs
            contains_value: "-DFEATURE_widgets=OFF"
          - condition: property
            property: configureArgs
            contains_value: "-no-widgets"
          - condition: property
            property: configureArgs
            contains_value: "-no-opengl"
